Bug 864091 - wallaby list-users prints READ_ONLY instead of READ
wallaby list-users prints READ_ONLY instead of READ
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby-utils (Show other bugs)
Development
Unspecified Unspecified
low Severity low
: 2.3
: ---
Assigned To: Will Benton
Lubos Trilety
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 10:45 EDT by Lubos Trilety
Modified: 2013-03-06 13:47 EST (History)
5 users (show)

See Also:
Fixed In Version: wallaby-0.16.1-2
Doc Type: Bug Fix
Doc Text:
Cause: The wallaby list-users command printed users with the READ role as having a READ_ONLY role. Consequence: This may have been confusing, since the Wallaby user management commands only use the READ role. Fix: The wallaby list-users command now displays that users with a READ role have, in fact, a READ role. Result: The terms used to describe the READ role are now consistent across the Wallaby user-management commands.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 13:47:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2012-10-08 10:45:28 EDT
Description of problem:
The output of 'wallaby list-users' command prints 'READ_ONLY' instead of role 'READ'.

Version-Release number of selected component (if applicable):
wallaby-utils-0.16.1-1

How reproducible:
100%

Steps to Reproduce:
1. prepare some user with READ role
e.g.
# wallaby set-user-role read READ

2. list users
e.g.
# wallaby list-users -s secret
Console Connection Established...
write: WRITE
none: NONE
admin: ADMIN
read: READ_ONLY
  
Actual results:
role READ_ONLY

Expected results:
role should be READ

Additional info:
Comment 1 Lubos Trilety 2012-10-08 11:24:50 EDT
It's OK on wallaby-utils-0.16.0-9.
Comment 2 Lubos Trilety 2012-10-09 10:42:09 EDT
It's not OK for RHEL5 wallaby-utils-0.16.0-9
Comment 4 Lubos Trilety 2012-12-20 04:32:33 EST
tested with:
wallaby-0.16.1-2
wallaby-utils-0.16.1-2

tested on:
RHEL6 i386,x86_64
RHEL5 i386,x86_64

# wallaby list-users -s secret
Console Connection Established...
none: NONE
write: WRITE
admin: ADMIN
read: READ

role is not READ_ONLY any more, but READ

>>> verified
Comment 6 errata-xmlrpc 2013-03-06 13:47:03 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.